Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformConcatenation Class Reference

`#include <vtkAbstractTransform.h>`

Collaboration diagram for vtkTransformConcatenation:

[legend]
List of all members.

## Public Methods
void | Delete ()
void | Concatenate (vtkAbstractTransform *transform)
void | Concatenate (const double elements[16])
void | SetPreMultiplyFlag (int flag)
int | GetPreMultiplyFlag ()
void | Translate (double x, double y, double z)
void | Rotate (double angle, double x, double y, double z)
void | Scale (double x, double y, double z)
void | Inverse ()
int | GetInverseFlag ()
void | Identity ()
void | DeepCopy (vtkTransformConcatenation *transform)
int | GetNumberOfTransforms ()
int | GetNumberOfPreTransforms ()
int | GetNumberOfPostTransforms ()
vtkAbstractTransform * | GetTransform (int i)
unsigned long | GetMaxMTime ()
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkTransformConcatenation * | New ()
## Protected Methods
| vtkTransformConcatenation ()
| ~vtkTransformConcatenation ()
## Protected Attributes
int | InverseFlag
int | PreMultiplyFlag
vtkMatrix4x4 * | PreMatrix
vtkMatrix4x4 * | PostMatrix
vtkAbstractTransform * | PreMatrixTransform
vtkAbstractTransform * | PostMatrixTransform
int | NumberOfTransforms
int | NumberOfPreTransforms
int | MaxNumberOfTransforms
vtkTransformPair * | TransformList

## Constructor & Destructor Documentation

vtkTransformConcatenation::vtkTransformConcatenation | ( |  | ) | `[protected]`

vtkTransformConcatenation::~vtkTransformConcatenation | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransformConcatenation* vtkTransformConcatenation::New | ( |  | ) | `[inline, static]`

| Definition at line 335 of file vtkAbstractTransform.h.

void vtkTransformConcatenation::Delete | ( |  | ) | `[inline]`

| Definition at line 337 of file vtkAbstractTransform.h.

void vtkTransformConcatenation::Concatenate | ( | vtkAbstractTransform * | transform | ) |

void vtkTransformConcatenation::Concatenate | ( | const double | elements[16] | ) |

void vtkTransformConcatenation::SetPreMultiplyFlag | ( | int | flag | ) | `[inline]`

| Definition at line 346 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::GetPreMultiplyFlag | ( |  | ) | `[inline]`

| Definition at line 347 of file vtkAbstractTransform.h.

void vtkTransformConcatenation::Translate | ( | double | x,
|  | double | y,
|  | double | z
| ) |

void vtkTransformConcatenation::Rotate | ( | double | angle,
|  | double | x,
|  | double | y,
|  | double | z
| ) |

void vtkTransformConcatenation::Scale | ( | double | x,
|  | double | y,
|  | double | z
| ) |

void vtkTransformConcatenation::Inverse | ( |  | ) |

int vtkTransformConcatenation::GetInverseFlag | ( |  | ) | `[inline]`

| Definition at line 358 of file vtkAbstractTransform.h.

void vtkTransformConcatenation::Identity | ( |  | ) |

void vtkTransformConcatenation::DeepCopy | ( | vtkTransformConcatenation * | transform | ) |

int vtkTransformConcatenation::GetNumberOfTransforms | ( |  | ) | `[inline]`

| Definition at line 367 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::GetNumberOfPreTransforms | ( |  | ) | `[inline]`

| Definition at line 372 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::GetNumberOfPostTransforms | ( |  | ) | `[inline]`

| Definition at line 375 of file vtkAbstractTransform.h.

vtkAbstractTransform* vtkTransformConcatenation::GetTransform | ( | int | i | ) |

unsigned long vtkTransformConcatenation::GetMaxMTime | ( |  | ) |

void vtkTransformConcatenation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |

## Member Data Documentation

int vtkTransformConcatenation::InverseFlag`[protected]`

| Definition at line 390 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::PreMultiplyFlag`[protected]`

| Definition at line 391 of file vtkAbstractTransform.h.

vtkMatrix4x4* vtkTransformConcatenation::PreMatrix`[protected]`

| Definition at line 393 of file vtkAbstractTransform.h.

vtkMatrix4x4* vtkTransformConcatenation::PostMatrix`[protected]`

| Definition at line 394 of file vtkAbstractTransform.h.

vtkAbstractTransform* vtkTransformConcatenation::PreMatrixTransform`[protected]`

| Definition at line 395 of file vtkAbstractTransform.h.

vtkAbstractTransform* vtkTransformConcatenation::PostMatrixTransform`[protected]`

| Definition at line 396 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::NumberOfTransforms`[protected]`

| Definition at line 398 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::NumberOfPreTransforms`[protected]`

| Definition at line 399 of file vtkAbstractTransform.h.

int vtkTransformConcatenation::MaxNumberOfTransforms`[protected]`

| Definition at line 400 of file vtkAbstractTransform.h.

vtkTransformPair* vtkTransformConcatenation::TransformList`[protected]`

| Definition at line 401 of file vtkAbstractTransform.h.

The documentation for this class was generated from the following file:

- Common/vtkAbstractTransform.h